# Asterisk Project : Asterisk 13 Function_PITCH_SHIFT

Created by wikibot on Aug 08, 2014

# PITCH_SHIFT()

### Synopsis

Pitch shift both tx and rx audio streams on a channel.

### Description

Examples:

exten => 1,1,Set(PITCH_SHIFT(tx)=highest); raises pitch an octave

exten => 1,1,Set(PITCH_SHIFT(rx)=higher) ; raises pitch more

exten => 1,1,Set(PITCH_SHIFT(both)=high) ; raises pitch

exten => 1,1,Set(PITCH_SHIFT(rx)=low) ; lowers pitch

exten => 1,1,Set(PITCH_SHIFT(tx)=lower) ; lowers pitch more

exten => 1,1,Set(PITCH_SHIFT(both)=lowest) ; lowers pitch an octave

exten => 1,1,Set(PITCH_SHIFT(rx)=0.8) ; lowers pitch

exten => 1,1,Set(PITCH_SHIFT(tx)=1.5) ; raises pitch

### Syntax

    PITCH_SHIFT(channel direction)

##### Arguments

- `channel direction` - Direction can be either `rx`, `tx`, or `both`. The direction can either be set to a valid floating point number between 0.1 and 4.0 or one of the enum values listed below. A value of 1.0 has no effect. Greater than 1 raises the pitch. Lower than 1 lowers the pitch.
  The pitch amount can also be set by the following values
  - `highest`
  - `higher`
  - `high`
  - `low`
  - `lower`
  - `lowest`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538